#### MAXRECORDS

#### Synopsis

    HELP:   Maximum amount of records per matrix [255]
    TYPE:   NUMBER
    SYNTAX: MAXRECORDS/MAXR=num

#### Description

Maximum number of records for compression in one matrix.

FLAM buffers records in the matrix buffer up to the specified number and compresses them. This specified number may occasionally not be reached if the matrix buffer is too small for the full number of records. The compression efficiency generally increases with the number of records. If -maxrecords=1, the compression is sequential and record-oriented.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `MAXRECORDS=n`
  - `MAXR=n`
- UNIX
  - `-maxrecords=n`
- WINDOWS
  - `maxrecords=n`

Values

- 1 - 255 for mode CX7/CX8/VR8, see parameter MODE
- 1 - 4095 for mode ADC, see parameter MODE
  - Note: With modes cx7, cx8, and vr8, up to 255 records are stored in one matrix. If a higher value is specified it takes effect only with mode adc.

Default

- z/OS
  - 255 for mode CX7/CX8/VR8
  - 4095 for mode ADC
- UNIX
  - none
- WINDOWS
  - none

Valid for

- compression